VLongWritable (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io, class: VLongWritable

Package org.apache.hadoop.io

# Class VLongWritable

java.lang.Object
org.apache.hadoop.io.VLongWritable

All Implemented Interfaces:
  `Comparable<VLongWritable>`, `Writable`, `WritableComparable<VLongWritable>`

@Public @Stable public class VLongWritable extends Object implements WritableComparable<VLongWritable>
A WritableComparable for longs in a variable-length format. Such values take between one and five bytes. Smaller values take fewer bytes.

See Also:
  - `WritableUtils.readVLong(DataInput)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VLongWritable()`
  `VLongWritable(long value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(VLongWritable o)`
  Compares two VLongWritables.
  `boolean`
  `equals(Object o)`
  Returns true iff `o` is a VLongWritable with the same value.
  `long`
  `get()`
  `int`
  `hashCode()`
  `void`
  `readFields(DataInput in)`
  Deserialize the fields of this object from `in`.
  `void`
  `set(long value)`
  Set the value of this LongWritable.
  `String`
  `toString()`
  `void`
  `write(DataOutput out)`
  Serialize the fields of this object to `out`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VLongWritable

    public VLongWritable()

  - ### VLongWritable

    public VLongWritable(long value)

- ## Method Details

  - ### set

    public void set(long value)
    Set the value of this LongWritable.
    Parameters:
      `value` - input value.

  - ### get

    public long get()
    Returns:
      Return the value of this LongWritable.

  - ### readFields

    public void readFields(DataInput in) throws IOException
    Description copied from interface: `Writable`
    Deserialize the fields of this object from `in`.

    For efficiency, implementations should attempt to re-use storage in the existing object where possible.

    Specified by:
      `readFields` in interface `Writable`
    Parameters:
      `in` - `DataInput` to deseriablize this object from.
    Throws:
      `IOException` - any other problem for readFields.

  - ### write

    public void write(DataOutput out) throws IOException
    Description copied from interface: `Writable`
    Serialize the fields of this object to `out`.
    Specified by:
      `write` in interface `Writable`
    Parameters:
      `out` - `DataOuput` to serialize this object into.
    Throws:
      `IOException` - any other problem for write.

  - ### equals

    public boolean equals(Object o)
    Returns true iff `o` is a VLongWritable with the same value.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(VLongWritable o)
    Compares two VLongWritables.
    Specified by:
      `compareTo` in interface `Comparable<VLongWritable>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`